Bug 1270854 - net ads fails with -bash: net: command not found; when installed manually, it does not work
net ads fails with -bash: net: command not found; when installed manually, it...
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Docs User Guide (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Hayley Hudgeons
David O'Brien
Depends On:
  Show dependency treegraph
Reported: 2015-10-12 10:08 EDT by Jan Pazdziora
Modified: 2015-11-19 04:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-11-19 04:43:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2015-10-12 10:08:21 EDT
Document URL: 


Section Number and Name: 

Procedure 20.5. To Configure Direct AD Integration with GSS-proxy, item 3.

Describe the issue: 

# KRB5_KTNAME=FILE:/etc/gssproxy/http.keytab net ads keytab add HTTP -U administrator -d3 -s /etc/net-keytab.conf
-bash: net: command not found

Suggestions for improvement: 

The prerequisites in Procedure 20.4, item 1, should include /usr/bin/net.

Additional information: 

Note that between RHEL 7.1 and RHEL 7.2 (Samba 4.1 vs. 4.2.3), that utility moved from samba-common to samba-common-tools, so installing it via its path seems like the most compatible approach.
Comment 2 Jan Pazdziora 2015-10-14 07:46:07 EDT
Also, on RHEL 7.1 samba-common was installed as part of dependencies of the other packages listed in Procedure 21.4 step 1. It no longer seem to be the case on RHEL 7.2.
Comment 3 Jan Pazdziora 2015-10-14 07:54:07 EDT
It seems in RHEL 7.2, there's also bug 1271618 which might prevent full testing of the Direct AD scenario until fix/workaround is found, even if /usr/bin/net is installed.
Comment 4 Jan Pazdziora 2015-10-16 04:51:10 EDT
The proposed fix is to amend the realm join command in Procedure 21.4. step 2 to read

realm join --membership-software=samba -v EXAMPLE.ORG
Comment 6 Jan Pazdziora 2015-11-19 04:43:50 EST
Both bug 1271608 and bug 1271618 were resolved with RHEL 7.2 release.

No further action is needed here.

Note You need to log in before you can comment on or make changes to this bug.